View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
15771Bug reportsUser / Groups / Rolespublic2020-02-17 11:22
Reporterpstelling Assigned ToLimeBot  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.x 
Target Version4.0.x 
Summary15771: Adding users to group using massive action of user management panel exception
DescriptionIf you try to add users to a group by using the massive action "Add to usergroup" and not selecting any group (there are still no groups created) shows
an exception text in the modal window.
Steps To Reproduce(1) delete all existing usergroups
(2) go to user management panel (configuration->manage survey administrators
(3) select some users (checkbox)
(4) select the massive action "Add to usergroup" and click yes (with empty field "select user group ...")
(5) you'll see exception message in modal window
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)Version 4.0.0
I will donate to the project if issue is resolvedNo
Browser
Database type & versionmysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

LimeBot

LimeBot

2020-02-14 11:53

administrator   ~56014

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29562
lime_release_bot

lime_release_bot

2020-02-17 11:22

administrator   ~56050

Fixed in Release 4.1.5+200217

Related Changesets

LimeSurvey: master d11ae3fc

2020-02-10 17:14:31

LimeBot

Details Diff
Fixed issue 15771: Adding users to group using massive action of user management panel exception Affected Issues
15771
mod - application/controllers/admin/UserManagement.php Diff File
mod - application/extensions/admin/survey/ListSurveysWidget/views/massive_actions/_action_results.php Diff File
mod - application/views/admin/usermanagement/massiveAction/_addtousergroup.php Diff File

Issue History

Date Modified Username Field Change
2020-01-24 14:54 pstelling New Issue
2020-01-24 14:54 pstelling Status new => assigned
2020-01-24 14:54 pstelling Assigned To => cdorin
2020-02-14 11:53 LimeBot Changeset attached => LimeSurvey master d11ae3fc
2020-02-14 11:53 LimeBot Note Added: 56014
2020-02-14 11:53 LimeBot Assigned To cdorin => LimeBot
2020-02-14 11:53 LimeBot Resolution open => fixed
2020-02-17 10:19 LimeBot Status assigned => resolved
2020-02-17 11:22 lime_release_bot Note Added: 56050
2020-02-17 11:22 lime_release_bot Status resolved => closed